function BIAS = bias_beta_probit_mle(y,x,d,n,index)

D = dummyvar(index);
t = mean(sum(D));
p = size(x,2)-n;
n = size(index,1)/t;

hit = normpdf(x*d) ./ (normcdf(x*d) .* normcdf(-x*d));
dhit = (normdpdf(x*d) ./ (normcdf(x*d) .* normcdf(-x*d))) - ((normpdf(x*d).^2) .* (1 - 2 * normcdf(x*d)) ./ (normcdf(x*d) .* normcdf(-x*d)).^2);
ddhit = (normddpdf(x*d) ./ (normcdf(x*d) .* normcdf(-x*d))) - ((3*normdpdf(x*d) .* normpdf(x*d) .* (1 - 2*normcdf(x*d)) - 2*(normpdf(x*d).^3)) ./ (normcdf(x*d) .* normcdf(-x*d)).^2) ...
    + ((2 * (normpdf(x*d)).^3 .* (1 - 2*normcdf(x*d)).^2) ./ (normcdf(x*d) .* normcdf(-x*d)).^3);

vit   = hit .* (y - normcdf(x*d));
vita  = - hit .* normpdf(x*d) + dhit .* (y - normcdf(x*d));
vitaa = - hit .* normdpdf(x*d) - 2 * dhit .* normpdf(x*d) + ddhit .* (y - normcdf(x*d));

uit   = x(:,1:p) .* (vit*ones(1,p));
uita  = x(:,1:p) .* (vita*ones(1,p));
uitaa = x(:,1:p) .* (vitaa*ones(1,p));

uitb  = x(:,1:p)' * (uita);
vitb  = uita;

s_vita = kron(D'*vita,ones(t,1));
s_vitb = kron(D'*vitb,ones(t,1));

TEMP1 = s_vitb ./ (s_vita * ones(1,p));

H     = - (1/t) * (uitb - uita' * TEMP1);

pit   = phi_alpha_probit(y,x,d,index);

vis = reshape(vit,t,n);
vis = [zeros(1,n) ; vis(1:(t-1),:)];
vis = (t/(t-1))*reshape(vis,t*n,1);

uisa = reshape(uita,t,n*p);
uisa = [zeros(1,n*p) ; uisa(1:(t-1),:)];
uisa = (t/(t-1))*reshape(uisa,t*n,p);

Uit = uit - (s_vitb ./ (s_vita * ones(1,p))) .* (vit * ones(1,p));
Uita = uita - (s_vitb ./ (s_vita * ones(1,p))) .* (vita * ones(1,p));
Uitaa = uitaa - (s_vitb ./ (s_vita * ones(1,p))) .* (vitaa * ones(1,p));

fVUia = (1/t) * D' * ((vit*ones(1,p)).*(uita + uisa) + (vis*ones(1,p)).*uita);
fVVi = (1/t) * D' * (vit.^2 + 2*vit.*vis) * ones(1,p);

s_vita = (1/t) * D' * vita * ones(1,p);
s_Uitaa = (1/t) * D' * Uitaa;

b = sum(fVUia ./ s_vita - (1/2) * (s_Uitaa .* fVVi) ./ (s_vita.^2),1)';

BIAS  = -inv(H)*b;

