function BIAS = bias_meff2_probit(xbar_y0, xbar_y1, delta, biasalpha, sigma2alpha, p, index, N)

D = dummyvar(index);

beta = delta(1:p,1);
alpha = delta((p+1):size(delta,1),1);

mu_y0 = xbar_y0'*beta + alpha;
mu_y1 = xbar_y1'*beta + alpha;

dmeff =  normpdf(mu_y1) - normpdf(mu_y0);
ddmeff = normdpdf(mu_y1) - normdpdf(mu_y0);

BIAS = sum(dmeff .* biasalpha  + (1/2) * (ddmeff .* sigma2alpha ),1) / N;


