function [P, Q] = clogit(beta,y,x,N,T)

% LOGLIKELIHOOD AND SCORE FOR THE CONDITIONAL LOGIT;

p = size(x,2);

ddden = zeros(p,p);
for i = 1:N,
    yi = y(((i -1)*T + 1):(i*T),1);
    xi = x(((i -1)*T + 1):(i*T),:);
    ki = sum(yi);
    den(i) = flogit(T, ki, xi, beta);
    dden(:,i) = dflogit(T, ki, xi, beta, p);
end;

P = - (sum(y .* (x*beta)) - sum(log(den)));
Q = - (sum((y * ones(1,p)) .* x, 1)' - sum( dden ./ (ones(p,1) * den ), 2));

function FL = flogit(t, k, x, beta)

if (t < k),
    FL = 0;
else, 
    if (k == 0),
        FL =1;
    else, 
        FL = flogit(t-1, k, x, beta) + flogit(t-1, k-1, x, beta) * exp(x(t, :)*beta);
    end;
end;


function DFL = dflogit(t, k, x, beta, p)

if (t < k),
    DFL = zeros(p,1);
else, 
    if (k == 0),
        DFL = zeros(p,1);
    else, 
        DFL = dflogit(t-1, k, x, beta, p) + dflogit(t-1, k-1, x, beta, p) * exp(x(t, :)*beta) + exp(x(t, :)*beta)*flogit(t -1, k -1, x, beta) * x(t, :)';
    end;
end;

